API

Instagram API

The AI-powered Instagram provides 360° Global Media Data & Intelligence on Instagram creators, brand marketers, influencer agencies, and visual content teams.

Справочник API Версия: 1.0.0 2 Точки доступа Аутентификация
Instagram Monitor

Базовый URL

https://pressmonitor.com/api

Аутентификация

Все запросы требуют заголовков x-api-key и x-subscription-id. x-api-key аутентифицирует вашу учетную запись; x-subscription-id выбирает подписанный сервис.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /instagram_user

Instagram Utilisateur

Параметры

Имя Тип Местоположение Обязательно Описание
username string query Да Username

Примеры кода

curl -X GET \
  "https://pressmonitor.com/api/instagram_user?username=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success
GET /instagram_media

Instagram Médias

Параметры

Имя Тип Местоположение Обязательно Описание
username string query Да Username
limit integer query Нет Number of results

Примеры кода

curl -X GET \
  "https://pressmonitor.com/api/instagram_media?username=VALUE&limit=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success